[ITEM]
01.04.2019

Autocad Contour Lisp

Autocad Contour Lisp 7,3/10 712 votes

Jun 11, 2016  Re: Contour Lisp to create contour lines from TIN 3D Faces hey marko_ribar, thanks for the link, i tried that page, made an lsp file from the pasted code over there, but when i try in autocad it doesn't work, could u plz paste a complete lisp on this forum, i will be waiting for your response. Dec 16, 2009 - Basically this lisp takes the 'z' elevation of a contour and places the. Your C:LAB with the C:CEI that I spiffed up and put at AutoCAD Wiki.

It does not work well in this lisp code. The label displayed twice in close polyline. I should label one in close polyline. (defun c:CLB (/ ss i ed p) (vl-load-com) (prompt ' nSelect Contour. ') (if (setq ss (ssget ':L' '((0.

'LWPOLYLINE')))) (repeat (setq i (sslength ss)) (setq ed (entget (ssname ss (setq i (1- i))))) (foreach x (list (car (setq p (vl-remove-if '((x) (/= (car x) 10)) ed))) (last p)) (entmakex (list '(0. 'CONTOUR LABEL') (cons 1 (rtos (cdr (assoc 38 ed)) 2 3)) (cons 40 (getvar 'textsize')) x );_ end of list );_ end of entmakex );_ end of foreach );_ end of repeat );_ end of if (princ) );_ end of defun. Hi Sanju, try this code (vl-load-com) (defun c:ContoursLabel (/ ss i en p0 p1) (if (and (princ ' nSelect Contours, ') (setq ss (ssget ':L' '((0.

Download sprint layout 6 full crack. '*POLYLINE')))) (not (command '_.-LAYER' '_N' 'Contour_RL' '_C' 6 ' ')) ) (repeat (setq i (sslength ss)) (setq en (ssname ss (setq i (1- i))) p0 (vlax-curve-getStartPoint en) p1 (vlax-curve-getEndPoint en)) (foreach x (if (equal p0 p1 ) (list p0) (list p0 p1)) (entmakex (list '(0. 'Contour_RL') (cons 1 (rtos (nth 2 x) 2 3)) (cons 40 2) (cons 10 x)))))) (princ) ). (vl-load-com) (defun c:ContoursLabel (/ ss i en p0 p1) (if (and (princ ' nSelect Contours, ') (setq ss (ssget ':L' '((0. '*POLYLINE')))) (not (if (tblobjname 'LAYER' 'Contour_RL') nil (command '_.-LAYER' '_N' 'Contour_RL' '_C' 6 ' '))) ) (repeat (setq i (sslength ss)) (setq en (ssname ss (setq i (1- i))) p0 (vlax-curve-getStartPoint en) p1 (vlax-curve-getEndPoint en)) (foreach x (if (equal p0 p1 ) (list p0) (list p0 p1)) (entmakex (list '(0. 'Contour_RL') (cons 1 (rtos (nth 2 x) 2 3)) '(40.

Autocad

2) (cons 50 (/ pi 4)) (cons 10 x)))))) (princ) ). (vl-load-com) (defun c:ContoursLabel (/ ss i en p0 p1) (if (and (princ ' nSelect Contours, ') (setq ss (ssget ':L' '((0. '*POLYLINE')))) (not (if (tblobjname 'LAYER' 'Contour_RL') nil (command '_.-LAYER' '_N' 'Contour_RL' '_C' 6 ' '))) ) (repeat (setq i (sslength ss)) (setq en (ssname ss (setq i (1- i))) p0 (vlax-curve-getStartPoint en) p1 (vlax-curve-getEndPoint en)) (foreach x (if (equal p0 p1 ) (list p0) (list p0 p1)) (entmakex (list '(0. 'Contour_RL') (cons 1 (rtos (nth 2 x) 2 3)) '(40.

2) (cons 50 (/ pi 4)) (cons 10 x)))))) (princ) ). My version: (defun c:Test (/ _t ss i sn st nd);; Tharwat;; (defun _t (p s) (entmake (append '((0. 'Contour_RL') (40. 0.785398) (7. 'Standard') (71. 0) ) (list (cons 1 (rtos s 2 3)) (cons 10 p) (cons 11 p) ) ) ) ) (princ ' nSelect Polylines:') (if (setq ss (ssget '((0.

[/ITEM]
[/MAIN]
01.04.2019

Autocad Contour Lisp

Autocad Contour Lisp 7,3/10 712 votes

Jun 11, 2016  Re: Contour Lisp to create contour lines from TIN 3D Faces hey marko_ribar, thanks for the link, i tried that page, made an lsp file from the pasted code over there, but when i try in autocad it doesn't work, could u plz paste a complete lisp on this forum, i will be waiting for your response. Dec 16, 2009 - Basically this lisp takes the 'z' elevation of a contour and places the. Your C:LAB with the C:CEI that I spiffed up and put at AutoCAD Wiki.

It does not work well in this lisp code. The label displayed twice in close polyline. I should label one in close polyline. (defun c:CLB (/ ss i ed p) (vl-load-com) (prompt ' nSelect Contour. ') (if (setq ss (ssget ':L' '((0.

'LWPOLYLINE')))) (repeat (setq i (sslength ss)) (setq ed (entget (ssname ss (setq i (1- i))))) (foreach x (list (car (setq p (vl-remove-if '((x) (/= (car x) 10)) ed))) (last p)) (entmakex (list '(0. 'CONTOUR LABEL') (cons 1 (rtos (cdr (assoc 38 ed)) 2 3)) (cons 40 (getvar 'textsize')) x );_ end of list );_ end of entmakex );_ end of foreach );_ end of repeat );_ end of if (princ) );_ end of defun. Hi Sanju, try this code (vl-load-com) (defun c:ContoursLabel (/ ss i en p0 p1) (if (and (princ ' nSelect Contours, ') (setq ss (ssget ':L' '((0.

Download sprint layout 6 full crack. '*POLYLINE')))) (not (command '_.-LAYER' '_N' 'Contour_RL' '_C' 6 ' ')) ) (repeat (setq i (sslength ss)) (setq en (ssname ss (setq i (1- i))) p0 (vlax-curve-getStartPoint en) p1 (vlax-curve-getEndPoint en)) (foreach x (if (equal p0 p1 ) (list p0) (list p0 p1)) (entmakex (list '(0. 'Contour_RL') (cons 1 (rtos (nth 2 x) 2 3)) (cons 40 2) (cons 10 x)))))) (princ) ). (vl-load-com) (defun c:ContoursLabel (/ ss i en p0 p1) (if (and (princ ' nSelect Contours, ') (setq ss (ssget ':L' '((0. '*POLYLINE')))) (not (if (tblobjname 'LAYER' 'Contour_RL') nil (command '_.-LAYER' '_N' 'Contour_RL' '_C' 6 ' '))) ) (repeat (setq i (sslength ss)) (setq en (ssname ss (setq i (1- i))) p0 (vlax-curve-getStartPoint en) p1 (vlax-curve-getEndPoint en)) (foreach x (if (equal p0 p1 ) (list p0) (list p0 p1)) (entmakex (list '(0. 'Contour_RL') (cons 1 (rtos (nth 2 x) 2 3)) '(40.

Autocad

2) (cons 50 (/ pi 4)) (cons 10 x)))))) (princ) ). (vl-load-com) (defun c:ContoursLabel (/ ss i en p0 p1) (if (and (princ ' nSelect Contours, ') (setq ss (ssget ':L' '((0. '*POLYLINE')))) (not (if (tblobjname 'LAYER' 'Contour_RL') nil (command '_.-LAYER' '_N' 'Contour_RL' '_C' 6 ' '))) ) (repeat (setq i (sslength ss)) (setq en (ssname ss (setq i (1- i))) p0 (vlax-curve-getStartPoint en) p1 (vlax-curve-getEndPoint en)) (foreach x (if (equal p0 p1 ) (list p0) (list p0 p1)) (entmakex (list '(0. 'Contour_RL') (cons 1 (rtos (nth 2 x) 2 3)) '(40.

2) (cons 50 (/ pi 4)) (cons 10 x)))))) (princ) ). My version: (defun c:Test (/ _t ss i sn st nd);; Tharwat;; (defun _t (p s) (entmake (append '((0. 'Contour_RL') (40. 0.785398) (7. 'Standard') (71. 0) ) (list (cons 1 (rtos s 2 3)) (cons 10 p) (cons 11 p) ) ) ) ) (princ ' nSelect Polylines:') (if (setq ss (ssget '((0.